## ros-galactic-rmf-building-map-tools 1.4.0

=== debian/changelog ===
ros-galactic-rmf-building-map-tools (1.4.0-1focal) focal; urgency=high

  * Feature/map generator using global coordinates (#379 <https://github.com/open-rmf/rmf_traffic_editor/issues/379>)
  * added support for ceilings with texture (#383 <https://github.com/open-rmf/rmf_traffic_editor/issues/383>)
  * Feature/wall graph (#377 <https://github.com/open-rmf/rmf_traffic_editor/issues/377>)
  * added scaling features to wall texture (#382 <https://github.com/open-rmf/rmf_traffic_editor/issues/382>)
  * fix crowdsim map generation when there are no robots (#380 <https://github.com/open-rmf/rmf_traffic_editor/issues/380>)
  * Fix crash when level has no floors (#370 <https://github.com/open-rmf/rmf_traffic_editor/issues/370>)
  * adding maintainer for buildfarm notifications (#368 <https://github.com/open-rmf/rmf_traffic_editor/issues/368>)
  * Fix issues with building map tools using Ignition tools (#362 <https://github.com/open-rmf/rmf_traffic_editor/issues/362>)
  * Contributors: Luca Della Vedova, Marco A. Gutiérrez, Matthew Booker, Morgan Quigley, Nicholas, Xiyu

 -- Morgan Quigley <mquigley@openrobotics.org>  Thu, 02 Sep 2021 00:00:00 -0000

ros-galactic-rmf-building-map-tools (1.3.0-1focal) focal; urgency=high

  * Added support for fuel textures (#342 <https://github.com/open-rmf/rmf_traffic_editor/issues/342>)
  * Convert wall textures from 1d to 2d (#338 <https://github.com/open-rmf/rmf_traffic_editor/issues/338>)
  * [Optimization] Remove duplicated textures (#337 <https://github.com/open-rmf/rmf_traffic_editor/issues/337>)
  * clean dep and update readme (#336 <https://github.com/open-rmf/rmf_traffic_editor/issues/336>)
  * building_map_server: don't crash when missing image file (#334 <https://github.com/open-rmf/rmf_traffic_editor/issues/334>)
  * Fix material values for sdf compliance (#330 <https://github.com/open-rmf/rmf_traffic_editor/issues/330>)
  * avoid crashing when generating undefined floor polygons. cleanup. (#322 <https://github.com/open-rmf/rmf_traffic_editor/issues/322>)
  * improve usage of Shapely on very complex floor polygons (#321 <https://github.com/open-rmf/rmf_traffic_editor/issues/321>)
  * auto download crowdsim models (#316 <https://github.com/open-rmf/rmf_traffic_editor/issues/316>)
  * rename building_map_tools (#310 <https://github.com/open-rmf/rmf_traffic_editor/issues/310>)
  * Account for package rename
  * Rename packages and delete moved packages (#308 <https://github.com/open-rmf/rmf_traffic_editor/issues/308>)
  * migration to open-rmf org, rename to rmf_building_map_tools
  * Contributors: Geoffrey Biggs, Luca Della Vedova, Morgan Quigley, youliang

 -- Morgan Quigley <mquigley@openrobotics.org>  Fri, 14 May 2021 00:00:00 -0000

ros-galactic-rmf-building-map-tools (1.2.0-1focal) focal; urgency=high

  * Ign rtf optimizations and GUI plugins (#248 <https://github.com/osrf/traffic_editor/issues/248>)
  * Merge pull request #257 <https://github.com/osrf/traffic_editor/issues/257> from Briancbn/pr-fix-disable-plugin-backwards-compatibility
    Fix door, lift plugin disable options backwards compatibility
  * Merge pull request #255 <https://github.com/osrf/traffic_editor/issues/255> from osrf/feature/remove-plugin-option
    Feature/remove plugin option
  * Three lines of code to double the RTF, :sparkles:
  * Makes lifts static if plugins are not required
  * Door plugins option parsing correctly now
  * Using just the Lift object to propagate the plugin removal option
  * Added option to remove plugins for doors on gui and building_map_tools generator
  * Fix namespace for rmf charging plugin (#253 <https://github.com/osrf/traffic_editor/issues/253>)
  * Textures/additional (#244 <https://github.com/osrf/traffic_editor/issues/244>)
  * Implement battery drain and recharge for slotcars (#242 <https://github.com/osrf/traffic_editor/issues/242>)
  * Implement animation switching in crowd simulation (#238 <https://github.com/osrf/traffic_editor/issues/238>)
  * Add first pass of quality declarations for all packages (#235 <https://github.com/osrf/traffic_editor/issues/235>)
  * Building_crowdsim for generating the navmesh file and required configuration files for menge (#224 <https://github.com/osrf/traffic_editor/issues/224>)
  * Add building_crowdsim to generate navmesh and config files for crowd simulation (#224 <https://github.com/osrf/traffic_editor/pull/224>)
  * Contributors: Aaron Chong, Chen Bainian, Geoffrey Biggs, Guoliang (Fred) Shao, Luca Della Vedova, Marco A. Gutiérrez, Morgan Quigley, Rushyendra Maganty, Valerie

 -- Morgan Quigley <mquigley@openrobotics.org>  Wed, 06 Jan 2021 00:00:00 -0000

ros-galactic-rmf-building-map-tools (1.1.0-1focal) focal; urgency=high

  * Implement model visibility toggling (#226 <https://github.com/osrf/traffic_editor/issues/226>)
  * Adding lift operation range selection (#220 <https://github.com/osrf/traffic_editor/issues/220>)
  * Add field in lift dialog for initial floor, handle invalid initial floor
  * added inertia for lift cabin platform (#217 <https://github.com/osrf/traffic_editor/issues/217>)
  * Model counts to be owned by Building, and passed to each Level #211 <https://github.com/osrf/traffic_editor/issues/211>
  * Support for adding and recognizing lift waypoints for multi-level navigatio #201 <https://github.com/osrf/traffic_editor/issues/201>
  * Fixed the wrong naming of reference_floor (#209 <https://github.com/osrf/traffic_editor/issues/209>)
  * Fixing building failure when fiducial values are integers (#208 <https://github.com/osrf/traffic_editor/issues/208>)
  * Generate models at the correct Z height of their level #207 <https://github.com/osrf/traffic_editor/issues/207>
  * Configurable texture and transparency for wall #200 <https://github.com/osrf/traffic_editor/issues/200>
  * Added wall tex in building map generation
  * Handle situation when lifts key is not present #188 <https://github.com/osrf/traffic_editor/issues/188>

